Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat
Interface EntityStatistics

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  ConcurrentEntityStatisticsImpl

    public interface EntityStatistics

extends Serializable

Entity related statistics

Method Summary
`long` | `getDeleteCount()`
`long` | `getFetchCount()`
`long` | `getInsertCount()`
`long` | `getLoadCount()`
`long` | `getOptimisticFailureCount()`
`long` | `getUpdateCount()`

Method Detail

### getDeleteCount

    long getDeleteCount()

### getInsertCount

    long getInsertCount()

### getLoadCount

    long getLoadCount()

### getUpdateCount

    long getUpdateCount()

### getFetchCount

    long getFetchCount()

### getOptimisticFailureCount

    long getOptimisticFailureCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.